Page MenuHomePhabricator

Move Dashboards to beta
Closed, ResolvedPublic

Description

See T3583 for context on dashboards.

See also Dashboards and Dashboards - Stormin'.

Dashboards will let users create pages of panels/widgets, showing things like specific search result views, blocks of static text, graphs/charts (in the future with Facts), feed, notifications, or pictures of cats. The major goals are:

  • Allow users to make their homepage more relevant to their interests (T3583): it's not very relevant to a lot of users right now, and our judgement is that we probably can not build a universally useful homepage because of the wide variety of different use cases (some organizations use Differential primarily; others don't use it at all) and types of users (engineers vs PMs vs design, for example).
    • One idea we'd floated in the past is building several different layouts and letting users choose between them, but ultimately not having much real customization. This would be easier to build, maintain, and support, but would also be less useful. Additionally, some common requests which are more universal (like customizing static content on home pages to help new users get oriented) are also not well served by possible alternative low-customization approaches.
  • Allow users to build independent dashboard pages to bring together different views of content they're interested in, outside of the homepage. This addresses a bunch of requests like "the X page should show <all this weird complicated custom stuff> to be best for me", where the stuff is different for every user. They'll be able to build a dashboard instead and collect the different queries they're interested in on it in one place. T4144 has some merged reports of this kind of thing, and some merged into T3583 too I think.

Dashboards might or might not be a good solution to these problems. Particularly, Facebook's internal tools implemented widgets and their utility seemed lukewarm: they weren't bad, but they didn't seem like a breakaway success. We'd like to build Dashboards into a working prototype so we can assess whether they solve these problems or not.

Dashboards and widgets feel like niche applications in some other contexts too: e.g., Windows 7 once had them but Microsoft removed them, and OS X has them but I'm not sure how much use they really get. I don't regularly see, e.g., blog posts about great dashboard widgets, and rarely use the feature myself.

In any case, some possible outcomes might include some mixture of:

  • They're bad; in practice, Dashboards prove to be awful and we throw them away and forget they existed (and then build them again in a year or two when we forget what happened).
  • They're good, but solve a fairly narrow range of problems. We maybe use them for the homepage and retain them as an app, but don't really make them part of core infrastructure.
  • They're great and do lots of stuff easily, and we push them more places like project profiles, user profiles, etc.

Today, we have an almost-sort-of-starting-to-get-functional prototype of Dashboards. We want to add enough features to get it to beta so it approximates how it might actually work, then figure out if it's a good fit for the problems or not-so-great.

Related Objects

StatusAssignedTask
Resolvedchad
ResolvedNone
Resolvedepriestley
DuplicateNone
ResolvedNone
Resolvedlpriestley
Resolvedlpriestley
Resolvedlpriestley
Resolvedchad
Resolvedlpriestley
Resolvedepriestley
Resolvedlpriestley
Duplicatechad
Resolvedbtrahan
Resolvedbtrahan
Resolvedbtrahan
Resolvedepriestley
Resolvedlpriestley
Resolvedchad
Resolvedepriestley
ResolvedNone
Resolvedepriestley
Resolvedepriestley
Resolvedepriestley
Wontfixepriestley
Resolvedepriestley
Duplicatechad

Event Timeline

epriestley raised the priority of this task from to Normal.
epriestley updated the task description. (Show Details)
epriestley added a project: Dashboards.
epriestley changed the visibility from "Public (No Login Required)" to "All Users".
epriestley edited this Maniphest Task.May 7 2014, 4:41 PM
epriestley edited this Maniphest Task.
epriestley changed the visibility from "All Users" to "Public (No Login Required)".May 7 2014, 4:43 PM
epriestley edited this Maniphest Task.May 7 2014, 4:46 PM
epriestley edited this Maniphest Task.May 7 2014, 4:57 PM
epriestley edited this Maniphest Task.May 7 2014, 5:00 PM
epriestley edited this Maniphest Task.May 7 2014, 5:04 PM
epriestley edited this Maniphest Task.May 7 2014, 5:12 PM
qgil added a subscriber: qgil.May 7 2014, 8:28 PM
chad edited this Maniphest Task.May 7 2014, 8:49 PM
btrahan edited this Maniphest Task.May 8 2014, 5:35 PM
wotte added a subscriber: wotte.May 12 2014, 10:48 PM
epriestley edited this Maniphest Task.May 13 2014, 2:19 PM
epriestley edited this Maniphest Task.May 16 2014, 2:52 AM
GMTA added a subscriber: GMTA.May 16 2014, 8:24 AM
epriestley edited this Maniphest Task.May 16 2014, 4:02 PM
qgil added a comment.May 20 2014, 7:27 PM

lpriestley closed blocking task...

It works!

hach-que edited this Maniphest Task.May 21 2014, 7:10 AM
epriestley edited this Maniphest Task.May 24 2014, 3:52 PM
epriestley edited this Maniphest Task.May 24 2014, 5:59 PM
epriestley edited this Maniphest Task.Jun 10 2014, 5:57 PM
chad edited this Maniphest Task.Jun 10 2014, 7:54 PM
epriestley edited this Maniphest Task.Jun 11 2014, 3:55 PM
epriestley edited this Maniphest Task.Jun 21 2014, 8:05 PM
epriestley edited this Maniphest Task.Jun 22 2014, 3:05 PM
epriestley edited this Maniphest Task.Jun 22 2014, 8:39 PM
epriestley moved this task to Evan on the Dashboards board.Jun 22 2014, 8:42 PM
epriestley edited this Maniphest Task.Jun 23 2014, 10:14 PM
epriestley closed this task as Resolved.Jun 23 2014, 10:14 PM

Closed by commit rP44ed1ad87f10.